Bug 192270 - net-im/psi 0.15 fails to build with multiple errors
Summary: net-im/psi 0.15 fails to build with multiple errors
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Max Brazhnikov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-30 07:12 UTC by Jordan Irwin
Modified: 2014-08-15 07:47 UTC (History)
1 user (show)

See Also:


Attachments
psi build output log (11.67 KB, text/x-log)
2014-07-30 07:12 UTC, Jordan Irwin
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jordan Irwin 2014-07-30 07:12:45 UTC
Created attachment 145143 [details]
psi build output log

Can't get psi XMPP client to build. I imagine there is a problem with included paths but not sure. If I get time I'll see if I can fix the problem & submit a patch.

Output log attached.
Comment 1 John Marino freebsd_committer 2014-07-30 07:59:45 UTC
note: it is building everywhere in portsmon:
http://portsmon.freebsd.org/portoverview.py?category=net-im&portname=psi

over to maintainer instead of CC
Comment 2 Max Brazhnikov freebsd_committer 2014-07-30 08:48:31 UTC
It picks up wrong socks.h during build, /usr/local/include/socks.h instead of internal one. What package does /usr/local/include/socks.h belong to (I guess net/dante)? Delete this package and try build psi again.
Comment 3 Jordan Irwin 2014-08-01 19:47:31 UTC
Yes, you are right. socks.h is from dante. Is there a way to check which packages might depend on dante to see if anything will be broken by de-installing it?
Comment 4 Jordan Irwin 2014-08-01 19:51:30 UTC
Oh, I figured it out: pkg info -r dante. However, HexChat requires dante, which I don't want to get rid of. But since HexChat is already built can't I just delete /usr/local/include/socks.h?
Comment 5 Max Brazhnikov freebsd_committer 2014-08-15 07:47:30 UTC
Fixed in svn r364945, thanks for report!